Index: /NEMO/trunk/src/OCE/SBC/sbccpl.F90
===================================================================
--- /NEMO/trunk/src/OCE/SBC/sbccpl.F90	(revision 14071)
+++ /NEMO/trunk/src/OCE/SBC/sbccpl.F90	(revision 14072)
@@ -747,6 +749,6 @@
       srcv(jpr_ocy1  )%clname = 'I_OCury1'
       srcv(jpr_ssh   )%clname = 'I_SSHght'
-      srcv(jpr_e3t1st)%clname = 'I_E3T1st'   
-      srcv(jpr_fraqsr)%clname = 'I_FraQsr'   
+      srcv(jpr_e3t1st)%clname = 'I_E3T1st'
+      srcv(jpr_fraqsr)%clname = 'I_FraQsr'
       !
       IF( nn_components == jp_iam_sas ) THEN
@@ -778,13 +780,13 @@
             ENDIF
             WRITE(numout,*)'               sea surface temperature (Celsius) '
-            WRITE(numout,*)'               sea surface salinity ' 
-            WRITE(numout,*)'               surface currents ' 
-            WRITE(numout,*)'               sea surface height ' 
-            WRITE(numout,*)'               thickness of first ocean T level '        
+            WRITE(numout,*)'               sea surface salinity '
+            WRITE(numout,*)'               surface currents '
+            WRITE(numout,*)'               sea surface height '
+            WRITE(numout,*)'               thickness of first ocean T level '
             WRITE(numout,*)'               fraction of solar net radiation absorbed in the first ocean level'
             WRITE(numout,*)
          ENDIF
       ENDIF
-      
+
       ! =================================================== !
       ! Allocate all parts of frcv used for received fields !
@@ -812,8 +814,8 @@
       !                 define send or not from the namelist parameters (ssnd(:)%laction)
       !                 define the north fold type of lbc               (ssnd(:)%nsgn)
-      
+
       ! default definitions of nsnd
       ssnd(:)%laction = .FALSE.   ;   ssnd(:)%clgrid = 'T'   ;   ssnd(:)%nsgn = 1.  ; ssnd(:)%nct = 1
-         
+
       !                                                      ! ------------------------- !
       !                                                      !    Surface temperature    !
@@ -832,9 +834,9 @@
       CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_temp%cldes' )
       END SELECT
-           
+
       !                                                      ! ------------------------- !
       !                                                      !          Albedo           !
       !                                                      ! ------------------------- !
-      ssnd(jps_albice)%clname = 'O_AlbIce' 
+      ssnd(jps_albice)%clname = 'O_AlbIce'
       ssnd(jps_albmix)%clname = 'O_AlbMix'
       SELECT CASE( TRIM( sn_snd_alb%cldes ) )
@@ -847,5 +849,5 @@
       ! Need to calculate oceanic albedo if
       !     1. sending mixed oce-ice albedo or
-      !     2. receiving mixed oce-ice solar radiation 
+      !     2. receiving mixed oce-ice solar radiation
       IF( TRIM ( sn_snd_alb%cldes ) == 'mixed oce-ice' .OR. TRIM ( sn_rcv_qsr%cldes ) == 'mixed oce-ice' ) THEN
          CALL oce_alb( zaos, zacs )
@@ -854,8 +856,8 @@
       ENDIF
       !                                                      ! ------------------------- !
-      !                                                      !  Ice fraction & Thickness ! 
+      !                                                      !  Ice fraction & Thickness !
       !                                                      ! ------------------------- !
       ssnd(jps_fice)%clname  = 'OIceFrc'
-      ssnd(jps_ficet)%clname = 'OIceFrcT' 
+      ssnd(jps_ficet)%clname = 'OIceFrcT'
       ssnd(jps_hice)%clname  = 'OIceTck'
       ssnd(jps_a_p)%clname   = 'OPndFrc'
@@ -870,15 +872,15 @@
          IF( TRIM( sn_snd_thick1%clcat ) == 'yes' ) ssnd(jps_fice1)%nct = nn_cats_cpl
       ENDIF
-      
-      IF(TRIM( sn_snd_ifrac%cldes )  == 'coupled') ssnd(jps_ficet)%laction = .TRUE. 
+
+      IF(TRIM( sn_snd_ifrac%cldes )  == 'coupled') ssnd(jps_ficet)%laction = .TRUE.
 
       SELECT CASE ( TRIM( sn_snd_thick%cldes ) )
       CASE( 'none'         )       ! nothing to do
-      CASE( 'ice and snow' ) 
+      CASE( 'ice and snow' )
          ssnd(jps_hice:jps_hsnw)%laction = .TRUE.
          IF( TRIM( sn_snd_thick%clcat ) == 'yes' ) THEN
             ssnd(jps_hice:jps_hsnw)%nct = nn_cats_cpl
          ENDIF
-      CASE ( 'weighted ice and snow' ) 
+      CASE ( 'weighted ice and snow' )
          ssnd(jps_hice:jps_hsnw)%laction = .TRUE.
          IF( TRIM( sn_snd_thick%clcat ) == 'yes' ) ssnd(jps_hice:jps_hsnw)%nct = nn_cats_cpl
@@ -890,35 +892,35 @@
        a_i_last_couple(:,:,:) = 0._wp
 #endif
-      !                                                      ! ------------------------- ! 
-      !                                                      !      Ice Meltponds        ! 
-      !                                                      ! ------------------------- ! 
+      !                                                      ! ------------------------- !
+      !                                                      !      Ice Meltponds        !
+      !                                                      ! ------------------------- !
       ! Needed by Met Office
-      ssnd(jps_a_p)%clname  = 'OPndFrc'    
-      ssnd(jps_ht_p)%clname = 'OPndTck'    
-      SELECT CASE ( TRIM( sn_snd_mpnd%cldes ) ) 
-      CASE ( 'none' ) 
-         ssnd(jps_a_p)%laction  = .FALSE. 
-         ssnd(jps_ht_p)%laction = .FALSE. 
-      CASE ( 'ice only' )  
-         ssnd(jps_a_p)%laction  = .TRUE. 
-         ssnd(jps_ht_p)%laction = .TRUE. 
-         IF( TRIM( sn_snd_mpnd%clcat ) == 'yes' ) THEN 
-            ssnd(jps_a_p)%nct  = nn_cats_cpl 
-            ssnd(jps_ht_p)%nct = nn_cats_cpl 
-         ELSE 
-            IF( nn_cats_cpl > 1 ) THEN 
-               CALL ctl_stop( 'sbc_cpl_init: use weighted ice option for sn_snd_mpnd%cldes if not exchanging category fields' ) 
-            ENDIF 
-         ENDIF 
-      CASE ( 'weighted ice' )  
-         ssnd(jps_a_p)%laction  = .TRUE. 
-         ssnd(jps_ht_p)%laction = .TRUE. 
-         IF( TRIM( sn_snd_mpnd%clcat ) == 'yes' ) THEN 
-            ssnd(jps_a_p)%nct  = nn_cats_cpl  
-            ssnd(jps_ht_p)%nct = nn_cats_cpl  
-         ENDIF 
-      CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_mpnd%cldes; '//sn_snd_mpnd%cldes ) 
-      END SELECT 
- 
+      ssnd(jps_a_p)%clname  = 'OPndFrc'
+      ssnd(jps_ht_p)%clname = 'OPndTck'
+      SELECT CASE ( TRIM( sn_snd_mpnd%cldes ) )
+      CASE ( 'none' )
+         ssnd(jps_a_p)%laction  = .FALSE.
+         ssnd(jps_ht_p)%laction = .FALSE.
+      CASE ( 'ice only' )
+         ssnd(jps_a_p)%laction  = .TRUE.
+         ssnd(jps_ht_p)%laction = .TRUE.
+         IF( TRIM( sn_snd_mpnd%clcat ) == 'yes' ) THEN
+            ssnd(jps_a_p)%nct  = nn_cats_cpl
+            ssnd(jps_ht_p)%nct = nn_cats_cpl
+         ELSE
+            IF( nn_cats_cpl > 1 ) THEN
+               CALL ctl_stop( 'sbc_cpl_init: use weighted ice option for sn_snd_mpnd%cldes if not exchanging category fields' )
+            ENDIF
+         ENDIF
+      CASE ( 'weighted ice' )
+         ssnd(jps_a_p)%laction  = .TRUE.
+         ssnd(jps_ht_p)%laction = .TRUE.
+         IF( TRIM( sn_snd_mpnd%clcat ) == 'yes' ) THEN
+            ssnd(jps_a_p)%nct  = nn_cats_cpl
+            ssnd(jps_ht_p)%nct = nn_cats_cpl
+         ENDIF
+      CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_mpnd%cldes; '//sn_snd_mpnd%cldes )
+      END SELECT
+
       !                                                      ! ------------------------- !
       !                                                      !      Surface current      !
@@ -928,6 +930,6 @@
       ssnd(jps_ocy1)%clname = 'O_OCury1'   ;   ssnd(jps_ivy1)%clname = 'O_IVely1'
       ssnd(jps_ocz1)%clname = 'O_OCurz1'   ;   ssnd(jps_ivz1)%clname = 'O_IVelz1'
-      ssnd(jps_ocxw)%clname = 'O_OCurxw' 
-      ssnd(jps_ocyw)%clname = 'O_OCuryw' 
+      ssnd(jps_ocxw)%clname = 'O_OCurxw'
+      ssnd(jps_ocyw)%clname = 'O_OCuryw'
       !
       ssnd(jps_ocx1:jps_ivz1)%nsgn = -1.   ! vectors: change of the sign at the north fold
@@ -935,9 +937,9 @@
       IF( sn_snd_crt%clvgrd == 'U,V' ) THEN
          ssnd(jps_ocx1)%clgrid = 'U' ; ssnd(jps_ocy1)%clgrid = 'V'
-      ELSE IF( sn_snd_crt%clvgrd /= 'T' ) THEN  
+      ELSE IF( sn_snd_crt%clvgrd /= 'T' ) THEN
          CALL ctl_stop( 'sn_snd_crt%clvgrd must be equal to T' )
       ENDIF
       ssnd(jps_ocx1:jps_ivz1)%laction = .TRUE.   ! default: all are send
-      IF( TRIM( sn_snd_crt%clvref ) == 'spherical' )   ssnd( (/jps_ocz1, jps_ivz1/) )%laction = .FALSE. 
+      IF( TRIM( sn_snd_crt%clvref ) == 'spherical' )   ssnd( (/jps_ocz1, jps_ivz1/) )%laction = .FALSE.
       IF( TRIM( sn_snd_crt%clvor ) == 'eastward-northward' ) ssnd(jps_ocx1:jps_ivz1)%nsgn = 1.
       SELECT CASE( TRIM( sn_snd_crt%cldes ) )
@@ -949,19 +951,19 @@
       END SELECT
 
-      ssnd(jps_ocxw:jps_ocyw)%nsgn = -1.   ! vectors: change of the sign at the north fold 
-        
-      IF( sn_snd_crtw%clvgrd == 'U,V' ) THEN 
-         ssnd(jps_ocxw)%clgrid = 'U' ; ssnd(jps_ocyw)%clgrid = 'V' 
-      ELSE IF( sn_snd_crtw%clvgrd /= 'T' ) THEN 
-         CALL ctl_stop( 'sn_snd_crtw%clvgrd must be equal to T' ) 
-      ENDIF 
-      IF( TRIM( sn_snd_crtw%clvor ) == 'eastward-northward' ) ssnd(jps_ocxw:jps_ocyw)%nsgn = 1. 
-      SELECT CASE( TRIM( sn_snd_crtw%cldes ) ) 
-         CASE( 'none'                 )   ; ssnd(jps_ocxw:jps_ocyw)%laction = .FALSE. 
-         CASE( 'oce only'             )   ; ssnd(jps_ocxw:jps_ocyw)%laction = .TRUE. 
-         CASE( 'weighted oce and ice' )   !   nothing to do 
-         CASE( 'mixed oce-ice'        )   ; ssnd(jps_ivx1:jps_ivz1)%laction = .FALSE. 
-         CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_crtw%cldes' ) 
-      END SELECT 
+      ssnd(jps_ocxw:jps_ocyw)%nsgn = -1.   ! vectors: change of the sign at the north fold
+
+      IF( sn_snd_crtw%clvgrd == 'U,V' ) THEN
+         ssnd(jps_ocxw)%clgrid = 'U' ; ssnd(jps_ocyw)%clgrid = 'V'
+      ELSE IF( sn_snd_crtw%clvgrd /= 'T' ) THEN
+         CALL ctl_stop( 'sn_snd_crtw%clvgrd must be equal to T' )
+      ENDIF
+      IF( TRIM( sn_snd_crtw%clvor ) == 'eastward-northward' ) ssnd(jps_ocxw:jps_ocyw)%nsgn = 1.
+      SELECT CASE( TRIM( sn_snd_crtw%cldes ) )
+         CASE( 'none'                 )   ; ssnd(jps_ocxw:jps_ocyw)%laction = .FALSE.
+         CASE( 'oce only'             )   ; ssnd(jps_ocxw:jps_ocyw)%laction = .TRUE.
+         CASE( 'weighted oce and ice' )   !   nothing to do
+         CASE( 'mixed oce-ice'        )   ; ssnd(jps_ivx1:jps_ivz1)%laction = .FALSE.
+         CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_crtw%cldes' )
+      END SELECT
 
       !                                                      ! ------------------------- !
@@ -969,66 +971,66 @@
       !                                                      ! ------------------------- !
       ssnd(jps_co2)%clname = 'O_CO2FLX' ;  IF( TRIM(sn_snd_co2%cldes) == 'coupled' )    ssnd(jps_co2 )%laction = .TRUE.
-      ! 
-      !                                                      ! ------------------------- ! 
-      !                                                      ! Sea surface freezing temp ! 
-      !                                                      ! ------------------------- ! 
+      !
+      !                                                      ! ------------------------- !
+      !                                                      ! Sea surface freezing temp !
+      !                                                      ! ------------------------- !
       ! needed by Met Office
-      ssnd(jps_sstfrz)%clname = 'O_SSTFrz' ; IF( TRIM(sn_snd_sstfrz%cldes) == 'coupled' )  ssnd(jps_sstfrz)%laction = .TRUE. 
-      ! 
-      !                                                      ! ------------------------- ! 
-      !                                                      !    Ice conductivity       ! 
-      !                                                      ! ------------------------- ! 
+      ssnd(jps_sstfrz)%clname = 'O_SSTFrz' ; IF( TRIM(sn_snd_sstfrz%cldes) == 'coupled' )  ssnd(jps_sstfrz)%laction = .TRUE.
+      !
+      !                                                      ! ------------------------- !
+      !                                                      !    Ice conductivity       !
+      !                                                      ! ------------------------- !
       ! needed by Met Office
-      ! Note that ultimately we will move to passing an ocean effective conductivity as well so there 
-      ! will be some changes to the parts of the code which currently relate only to ice conductivity 
-      ssnd(jps_ttilyr )%clname = 'O_TtiLyr' 
-      SELECT CASE ( TRIM( sn_snd_ttilyr%cldes ) ) 
-      CASE ( 'none' ) 
-         ssnd(jps_ttilyr)%laction = .FALSE. 
-      CASE ( 'ice only' ) 
-         ssnd(jps_ttilyr)%laction = .TRUE. 
-         IF( TRIM( sn_snd_ttilyr%clcat ) == 'yes' ) THEN 
-            ssnd(jps_ttilyr)%nct = nn_cats_cpl 
-         ELSE 
-            IF( nn_cats_cpl > 1 ) THEN 
-               CALL ctl_stop( 'sbc_cpl_init: use weighted ice option for sn_snd_ttilyr%cldes if not exchanging category fields' ) 
-            ENDIF 
-         ENDIF 
-      CASE ( 'weighted ice' ) 
-         ssnd(jps_ttilyr)%laction = .TRUE. 
-         IF( TRIM( sn_snd_ttilyr%clcat ) == 'yes' ) ssnd(jps_ttilyr)%nct = nn_cats_cpl 
-      CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_ttilyr%cldes;'//sn_snd_ttilyr%cldes ) 
-      END SELECT 
-
-      ssnd(jps_kice )%clname = 'OIceKn' 
-      SELECT CASE ( TRIM( sn_snd_cond%cldes ) ) 
-      CASE ( 'none' ) 
-         ssnd(jps_kice)%laction = .FALSE. 
-      CASE ( 'ice only' ) 
-         ssnd(jps_kice)%laction = .TRUE. 
-         IF( TRIM( sn_snd_cond%clcat ) == 'yes' ) THEN 
-            ssnd(jps_kice)%nct = nn_cats_cpl 
-         ELSE 
-            IF( nn_cats_cpl > 1 ) THEN 
-               CALL ctl_stop( 'sbc_cpl_init: use weighted ice option for sn_snd_cond%cldes if not exchanging category fields' ) 
-            ENDIF 
-         ENDIF 
-      CASE ( 'weighted ice' ) 
-         ssnd(jps_kice)%laction = .TRUE. 
-         IF( TRIM( sn_snd_cond%clcat ) == 'yes' ) ssnd(jps_kice)%nct = nn_cats_cpl 
-      CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_cond%cldes;'//sn_snd_cond%cldes ) 
-      END SELECT 
-      ! 
-      !                                                      ! ------------------------- ! 
-      !                                                      !     Sea surface height    ! 
-      !                                                      ! ------------------------- ! 
-      ssnd(jps_wlev)%clname = 'O_Wlevel' ;  IF( TRIM(sn_snd_wlev%cldes) == 'coupled' )   ssnd(jps_wlev)%laction = .TRUE. 
+      ! Note that ultimately we will move to passing an ocean effective conductivity as well so there
+      ! will be some changes to the parts of the code which currently relate only to ice conductivity
+      ssnd(jps_ttilyr )%clname = 'O_TtiLyr'
+      SELECT CASE ( TRIM( sn_snd_ttilyr%cldes ) )
+      CASE ( 'none' )
+         ssnd(jps_ttilyr)%laction = .FALSE.
+      CASE ( 'ice only' )
+         ssnd(jps_ttilyr)%laction = .TRUE.
+         IF( TRIM( sn_snd_ttilyr%clcat ) == 'yes' ) THEN
+            ssnd(jps_ttilyr)%nct = nn_cats_cpl
+         ELSE
+            IF( nn_cats_cpl > 1 ) THEN
+               CALL ctl_stop( 'sbc_cpl_init: use weighted ice option for sn_snd_ttilyr%cldes if not exchanging category fields' )
+            ENDIF
+         ENDIF
+      CASE ( 'weighted ice' )
+         ssnd(jps_ttilyr)%laction = .TRUE.
+         IF( TRIM( sn_snd_ttilyr%clcat ) == 'yes' ) ssnd(jps_ttilyr)%nct = nn_cats_cpl
+      CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_ttilyr%cldes;'//sn_snd_ttilyr%cldes )
+      END SELECT
+
+      ssnd(jps_kice )%clname = 'OIceKn'
+      SELECT CASE ( TRIM( sn_snd_cond%cldes ) )
+      CASE ( 'none' )
+         ssnd(jps_kice)%laction = .FALSE.
+      CASE ( 'ice only' )
+         ssnd(jps_kice)%laction = .TRUE.
+         IF( TRIM( sn_snd_cond%clcat ) == 'yes' ) THEN
+            ssnd(jps_kice)%nct = nn_cats_cpl
+         ELSE
+            IF( nn_cats_cpl > 1 ) THEN
+               CALL ctl_stop( 'sbc_cpl_init: use weighted ice option for sn_snd_cond%cldes if not exchanging category fields' )
+            ENDIF
+         ENDIF
+      CASE ( 'weighted ice' )
+         ssnd(jps_kice)%laction = .TRUE.
+         IF( TRIM( sn_snd_cond%clcat ) == 'yes' ) ssnd(jps_kice)%nct = nn_cats_cpl
+      CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_cond%cldes;'//sn_snd_cond%cldes )
+      END SELECT
+      !
+      !                                                      ! ------------------------- !
+      !                                                      !     Sea surface height    !
+      !                                                      ! ------------------------- !
+      ssnd(jps_wlev)%clname = 'O_Wlevel' ;  IF( TRIM(sn_snd_wlev%cldes) == 'coupled' )   ssnd(jps_wlev)%laction = .TRUE.
 
       !                                                      ! ------------------------------- !
-      !                                                      !   OPA-SAS coupling - snd by opa !   
+      !                                                      !   OPA-SAS coupling - snd by opa !
       !                                                      ! ------------------------------- !
-      ssnd(jps_ssh   )%clname = 'O_SSHght' 
-      ssnd(jps_soce  )%clname = 'O_SSSal' 
-      ssnd(jps_e3t1st)%clname = 'O_E3T1st'   
+      ssnd(jps_ssh   )%clname = 'O_SSHght'
+      ssnd(jps_soce  )%clname = 'O_SSSal'
+      ssnd(jps_e3t1st)%clname = 'O_E3T1st'
       ssnd(jps_fraqsr)%clname = 'O_FraQsr'
       !
@@ -1048,8 +1050,8 @@
             WRITE(numout,*)'  sent fields to SAS component '
             WRITE(numout,*)'               sea surface temperature (T before, Celsius) '
-            WRITE(numout,*)'               sea surface salinity ' 
-            WRITE(numout,*)'               surface currents U,V on local grid and spherical coordinates' 
-            WRITE(numout,*)'               sea surface height ' 
-            WRITE(numout,*)'               thickness of first ocean T level '        
+            WRITE(numout,*)'               sea surface salinity '
+            WRITE(numout,*)'               surface currents U,V on local grid and spherical coordinates'
+            WRITE(numout,*)'               sea surface height '
+            WRITE(numout,*)'               thickness of first ocean T level '
             WRITE(numout,*)'               fraction of solar net radiation absorbed in the first ocean level'
             WRITE(numout,*)
@@ -1057,15 +1059,15 @@
       ENDIF
       !                                                      ! ------------------------------- !
-      !                                                      !   OPA-SAS coupling - snd by sas !   
+      !                                                      !   OPA-SAS coupling - snd by sas !
       !                                                      ! ------------------------------- !
-      ssnd(jps_sflx  )%clname = 'I_SFLX'     
+      ssnd(jps_sflx  )%clname = 'I_SFLX'
       ssnd(jps_fice2 )%clname = 'IIceFrc'
-      ssnd(jps_qsroce)%clname = 'I_QsrOce'   
-      ssnd(jps_qnsoce)%clname = 'I_QnsOce'   
-      ssnd(jps_oemp  )%clname = 'IOEvaMPr' 
-      ssnd(jps_otx1  )%clname = 'I_OTaux1'   
-      ssnd(jps_oty1  )%clname = 'I_OTauy1'   
-      ssnd(jps_rnf   )%clname = 'I_Runoff'   
-      ssnd(jps_taum  )%clname = 'I_TauMod'   
+      ssnd(jps_qsroce)%clname = 'I_QsrOce'
+      ssnd(jps_qnsoce)%clname = 'I_QnsOce'
+      ssnd(jps_oemp  )%clname = 'IOEvaMPr'
+      ssnd(jps_otx1  )%clname = 'I_OTaux1'
+      ssnd(jps_oty1  )%clname = 'I_OTauy1'
+      ssnd(jps_rnf   )%clname = 'I_Runoff'
+      ssnd(jps_taum  )%clname = 'I_TauMod'
       !
       IF( nn_components == jp_iam_sas ) THEN
@@ -1102,6 +1104,6 @@
       ! ================================ !
       CALL cpl_define(jprcv, jpsnd, nn_cplmodel)
-      
-      IF(ln_usecplmask) THEN 
+
+      IF(ln_usecplmask) THEN
          xcplmask(:,:,:) = 0.
          CALL iom_open( 'cplmask', inum )
@@ -1118,5 +1120,5 @@
 
 
-   SUBROUTINE sbc_cpl_rcv( kt, k_fsbc, k_ice, Kbb, Kmm )     
+   SUBROUTINE sbc_cpl_rcv( kt, k_fsbc, k_ice, Kbb, Kmm )
       !!----------------------------------------------------------------------
       !!             ***  ROUTINE sbc_cpl_rcv  ***
@@ -1132,6 +1134,6 @@
       !!
       !!                  - transform the received ocean stress vector from the received
-      !!                 referential and grid into an atmosphere-ocean stress in 
-      !!                 the (i,j) ocean referencial and at the ocean velocity point. 
+      !!                 referential and grid into an atmosphere-ocean stress in
+      !!                 the (i,j) ocean referencial and at the ocean velocity point.
       !!                    The received stress are :
       !!                     - defined by 3 components (if cartesian coordinate)
@@ -1141,19 +1143,19 @@
       !!                     - given at U- and V-point, resp.   if received on 2 grids
       !!                            or at T-point               if received on 1 grid
-      !!                    Therefore and if necessary, they are successively 
-      !!                  processed in order to obtain them 
-      !!                     first  as  2 components on the sphere 
+      !!                    Therefore and if necessary, they are successively
+      !!                  processed in order to obtain them
+      !!                     first  as  2 components on the sphere
       !!                     second as  2 components oriented along the local grid
-      !!                     third  as  2 components on the U,V grid 
+      !!                     third  as  2 components on the U,V grid
       !!
-      !!              --> 
+      !!              -->
       !!
-      !!              - In 'ocean only' case, non solar and solar ocean heat fluxes 
-      !!             and total ocean freshwater fluxes  
+      !!              - In 'ocean only' case, non solar and solar ocean heat fluxes
+      !!             and total ocean freshwater fluxes
       !!
-      !! ** Method  :   receive all fields from the atmosphere and transform 
-      !!              them into ocean surface boundary condition fields 
+      !! ** Method  :   receive all fields from the atmosphere and transform
+      !!              them into ocean surface boundary condition fields
       !!
-      !! ** Action  :   update  utau, vtau   ocean stress at U,V grid 
+      !! ** Action  :   update  utau, vtau   ocean stress at U,V grid
       !!                        taum         wind stress module at T-point
       !!                        wndm         wind speed  module at T-point over free ocean or leads in presence of sea-ice
@@ -1166,5 +1168,5 @@
       !
       INTEGER, INTENT(in) ::   kt          ! ocean model time step index
-      INTEGER, INTENT(in) ::   k_fsbc      ! frequency of sbc (-> ice model) computation 
+      INTEGER, INTENT(in) ::   k_fsbc      ! frequency of sbc (-> ice model) computation
       INTEGER, INTENT(in) ::   k_ice       ! ice management in the sbc (=0/1/2/3)
       INTEGER, INTENT(in) ::   Kbb, Kmm    ! ocean model time level indices
@@ -1173,5 +1175,5 @@
       INTEGER  ::   ji, jj, jn             ! dummy loop indices
       INTEGER  ::   isec                   ! number of seconds since nit000 (assuming rdt did not change since nit000)
-      REAL(wp) ::   zcumulneg, zcumulpos   ! temporary scalars     
+      REAL(wp) ::   zcumulneg, zcumulpos   ! temporary scalars
       REAL(wp) ::   zcoef                  ! temporary scalar
       REAL(wp) ::   zrhoa  = 1.22          ! Air density kg/m3
@@ -1188,5 +1190,5 @@
 
          IF( ncpl_qsr_freq /= 0) ncpl_qsr_freq = 86400 / ncpl_qsr_freq ! used by top
-         
+
          IF ( ln_wave .AND. nn_components == 0 ) THEN
             ncpl_qsr_freq = 1;
@@ -1231,14 +1233,14 @@
             IF( TRIM( sn_rcv_tau%clvor ) == 'eastward-northward' ) THEN   ! 2 components oriented along the local grid
                !                                                       ! (geographical to local grid -> rotate the components)
-               CALL rot_rep( frcv(jpr_otx1)%z3(:,:,1), frcv(jpr_oty1)%z3(:,:,1), srcv(jpr_otx1)%clgrid, 'en->i', ztx )   
+               CALL rot_rep( frcv(jpr_otx1)%z3(:,:,1), frcv(jpr_oty1)%z3(:,:,1), srcv(jpr_otx1)%clgrid, 'en->i', ztx )
                IF( srcv(jpr_otx2)%laction ) THEN
-                  CALL rot_rep( frcv(jpr_otx2)%z3(:,:,1), frcv(jpr_oty2)%z3(:,:,1), srcv(jpr_otx2)%clgrid, 'en->j', zty )   
+                  CALL rot_rep( frcv(jpr_otx2)%z3(:,:,1), frcv(jpr_oty2)%z3(:,:,1), srcv(jpr_otx2)%clgrid, 'en->j', zty )
                ELSE
-                  CALL rot_rep( frcv(jpr_otx1)%z3(:,:,1), frcv(jpr_oty1)%z3(:,:,1), srcv(jpr_otx1)%clgrid, 'en->j', zty )  
+                  CALL rot_rep( frcv(jpr_otx1)%z3(:,:,1), frcv(jpr_oty1)%z3(:,:,1), srcv(jpr_otx1)%clgrid, 'en->j', zty )
                ENDIF
                frcv(jpr_otx1)%z3(:,:,1) = ztx(:,:)      ! overwrite 1st component on the 1st grid
                frcv(jpr_oty1)%z3(:,:,1) = zty(:,:)      ! overwrite 2nd component on the 2nd grid
             ENDIF
-            !                              
+            !
             IF( srcv(jpr_otx1)%clgrid == 'T' ) THEN
                DO_2D( 0, 0, 0, 0 )                                        ! T ==> (U,V)
@@ -1255,5 +1257,5 @@
       ELSE                                                   !   No dynamical coupling   !
          !                                                   ! ========================= !
-         frcv(jpr_otx1)%z3(:,:,1) = 0.e0                               ! here simply set to zero 
+         frcv(jpr_otx1)%z3(:,:,1) = 0.e0                               ! here simply set to zero
          frcv(jpr_oty1)%z3(:,:,1) = 0.e0                               ! an external read in a file can be added instead
          llnewtx = .TRUE.
@@ -1263,5 +1265,5 @@
       !                                                      !    wind stress module     !   (taum)
       !                                                      ! ========================= !
-      IF( .NOT. srcv(jpr_taum)%laction ) THEN                    ! compute wind stress module from its components if not received 
+      IF( .NOT. srcv(jpr_taum)%laction ) THEN                    ! compute wind stress module from its components if not received
          ! => need to be done only when otx1 was changed
          IF( llnewtx ) THEN
@@ -1279,5 +1281,5 @@
          llnewtau = nrcvinfo(jpr_taum) == OASIS_Rcv
          ! Stress module can be negative when received (interpolation problem)
-         IF( llnewtau ) THEN 
+         IF( llnewtau ) THEN
             frcv(jpr_taum)%z3(:,:,1) = MAX( 0._wp, frcv(jpr_taum)%z3(:,:,1) )
          ENDIF
@@ -1287,8 +1289,8 @@
       !                                                      !      10 m wind speed      !   (wndm)
       !                                                      ! ========================= !
-      IF( .NOT. srcv(jpr_w10m)%laction ) THEN                    ! compute wind spreed from wind stress module if not received  
+      IF( .NOT. srcv(jpr_w10m)%laction ) THEN                    ! compute wind spreed from wind stress module if not received
          ! => need to be done only when taumod was changed
-         IF( llnewtau ) THEN 
-            zcoef = 1. / ( zrhoa * zcdrag ) 
+         IF( llnewtau ) THEN
+            zcoef = 1. / ( zrhoa * zcdrag )
             DO_2D( 1, 1, 1, 1 )
                frcv(jpr_w10m)%z3(ji,jj,1) = SQRT( frcv(jpr_taum)%z3(ji,jj,1) * zcoef )
@@ -1310,5 +1312,5 @@
       !                                                      ! ========================= !
       ! u(v)tau and taum will be modified by ice model
-      ! -> need to be reset before each call of the ice/fsbc      
+      ! -> need to be reset before each call of the ice/fsbc
       IF( MOD( kt-1, k_fsbc ) == 0 ) THEN
          !
@@ -1325,5 +1327,5 @@
          ENDIF
          CALL iom_put( "taum_oce", taum )   ! output wind stress module
-         !  
+         !
       ENDIF
 
